Subject: Re: [PATCH 2.6.25 2/4]S2io: Multiqueue network device support - FIFO selection based on L4 ports

From: Patrick McHardy <[email-masked]>
Date: Thu, 21 Feb 2008 00:21:48 +0100

David Miller wrote:
> From: Patrick McHardy <[email-masked]>
> Date: Thu, 21 Feb 2008 00:15:13 +0100
>
>   
>> I missed those discussions, but this has already been agreed on,
>> fine by me. It would still be preferable to use queue_mapping
>> instead of priority IMO, even if its activated by a module
>> parameter, since that leaves the option to use classifiers.
>>     
>
> I think the driver should compute the value in it's transmit
> routine and keep the value local.  It shouldn't be setting
> skb->foo values at all, they don't belong to the driver
> and this could confuse other code.
>   

Yes, I didn't meant it should set anything, but on of the options
this patch introduces is to _use_ skb->priority for classification,
so the classification is already external, in which case it might
as well offer the full flexibility (as one option) to use qdisc
classifiers.